Articles of django

Доступ к XAMPP по умолчанию через MySQLdb Python lib на Ubuntu 10.10

Я пытаюсь создать виртуальную машину для разработки приложения Django. ОС – Ubuntu 10.10. У меня больше всего установлено. Последняя часть – заставить MySQLdb работать с экземпляром MySQL, который поставляется с XAMPP. Как я могу заставить MySQLdb работать по умолчанию с XAMPP MySQL? Я нашел это: Доступ к mysql XAMPP через Python Я понимаю проблему там, […]

Можно ли использовать оба приложения python 2 и 3 django с apache с помощью mod_wsgi?

Я бегу на ubuntu 14.04. И мне интересно, могу ли я развернуть приложения django, закодированные с помощью python 2 и 3 вместе с apache и mod_wsgi? и как?

Выходы из Django-городов с «убитыми»

Я пытаюсь установить django-города на сервере с объемом памяти 500 МБ. Всякий раз, когда я запускаю: manage.py города система выходит, только что убивая. Попытка запустить: manage.py города –import = country –force работала, поэтому я предполагаю, что это вопрос нехватки памяти. Чтобы обойти, я попытался передать пакет в локальную копию файла данных городов. Это все еще […]

установка отчетаLab в службе python django ubuntu

в службе python django для создания отчета в формате pdf попытался установить reportLab в env pip install ReportLab показывает ошибку подушку, я думаю, что какая-то зависимость от ошибки reportLab throw Requirement already satisfied (use –upgrade to upgrade): pip>=1.4.1 in /home/phoenix/djenv/lib/python2.7/site-packages (from ReportLab) Collecting pillow>=2.4.0 (from ReportLab) Using cached Pillow-3.0.0.tar.gz Requirement already satisfied (use –upgrade to […]

ошибка syncdb на django с использованием mysql

Я новый на джанго. Я использую ubuntu 13.04 Хотя я создал базу данных через phpmyadmin и также ввел учетные данные в settings.py, но когда я ввел в консоль python manage.py syncdb я получил эту ошибку Traceback (последний последний вызов): Файл «manage.py», строка 10, в execute_from_command_line (sys.argv) Файл «/usr/local/lib/python2.7/dist-packages/django/core/management/ init .py», строка 453, в файле execute_from_command_line […]

Создание папки с изменением имени папки под Ubuntu в проекте Django

У меня есть этот код в моем проекте: name = “some-name” myDir = os.path.join(BASE_DIR, r’first_scrapy\spiders\tmp\{}’.format(name)) Я разрабатываю Windows, и это работает – он создает папку с name которое я установил. Но когда я развертываю этот код на Ubuntu 16.04 – этот код создает папки с именами, такими как first_scrapy\spiders\tmp\parfums-promo – путь к папке становится именем […]

Удаленное соединение PostgreSQL с pgAdmin

Я пытаюсь настроить удаленное соединение через PostgreSQL, запущенную на моем сервере, на основе Ubuntu 16.04. До сих пор, когда я нажимаю кнопку «Сохранить» на pgAdmin, это вроде зависает, ничего не делает. После ввода … / manage.py runningerver My_droplet_IP: 5432, я пробую веб-страницу, и она доступна. Я последовал этому руководству после создания моей капли. https://www.digitalocean.com/community/tutorials/how-to-install-and-use-postgresql-on-ubuntu-16-04 Затем […]

Django в Lighttpd + FCGI на Ubuntu – перезаписывает прекращение работы, когда я включаю второй сайт

У меня есть lighttp, настроенный для запуска и обслуживания django через fastcgi на ubuntu. Когда у меня включен только один сайт (через apache-подобный conf-доступ, поддерживаемый apache), все работает красиво. Когда я включаю второй сайт, мои перезаписи URL, похоже, перестают работать корректно, хотя процессы fcgi запускаются и обслуживают данные. Вот моя конфигурация: conf-available/10-example.conf $HTTP[“host”] == “example.com” […]

Запуск с ошибкой сервера Django

Я начинаю с Python-Django в Ubuntu 18.04. У меня установлен python3. python3 –version говорит, что Python 3.5.2 После установки Python я установил Django, как показано ниже: sudo apt install python3-pip pip3 install django У меня также установлен Django. django-admin –version говорит 2.0.5 В моем проекте startproject успешно работал, но когда я пытаюсь запустить следующую команду […]

mod_wsgi, скомпилированный в python 2.7.3 и runtime в python 2.7.4

Я пытаюсь заставить мой Apache-сервер запускать mod_wsgi, и я получаю эту ошибку: [Fri Jul 19 10:24:05 2013] [warn] mod_wsgi: Compiled for Python/2.7.3. [Fri Jul 19 10:24:05 2013] [warn] mod_wsgi: Runtime using Python/2.7.4. Это исправлено, перейдя в /usr/local/src где находится и работает Python: ./configure –enable-shared make install То, что я прочитал до сих пор, похоже, что […]